# netapp_e_asup – NetApp E-Series manage auto-support settings

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allow the auto-support settings to be configured for an individual E-Series storage-system

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

active
boolean

Choices:
- no
- yes ←

Enable active/proactive monitoring for ASUP. When a problem is detected by our monitoring systems, it's possible that the bundle did not contain all of the required information at the time of the event. Enabling this option allows NetApp support personnel to manually request transmission or re-transmission of support data in order ot resolve the problem.
Only applicable if state=enabled.

api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.

days
-

Choices:
- monday
- tuesday
- wednesday
- thursday
- friday
- saturday
- sunday

A list of days of the week that ASUP bundles will be sent. A larger, weekly bundle will be sent on one of the provided days.
aliases: days_of_week, schedule_days

end - | Default: 24 | An end hour may be specified in a range from 1 to 24 hours. ASUP bundles will be sent daily between the provided start and end time (UTC). start must be less than end. aliases: end_time
log_path - |  | A local path to a file to be used for debug logging
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.
start - | Default: 0 | A start hour may be specified in a range from 0 to 23 hours. ASUP bundles will be sent daily between the provided start and end time (UTC). start must be less than end. aliases: start_time

state
-

Choices:
- enabled ←
- disabled

Enable/disable the E-Series auto-support configuration.
When this option is enabled, configuration, logs, and other support-related information will be relayed to NetApp to help better support your system. No personally identifiable information, passwords, etc, will be collected.
aliases: asup, auto_support, autosupport

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

verbose
boolean

Choices:
- no ←
- yes

Provide the full ASUP configuration in the return.

## Notes

Note

- Check mode is supported.
- Enabling ASUP will allow our support teams to monitor the logs of the storage-system in order to proactively respond to issues with the system. It is recommended that all ASUP-related options be enabled, but they may be disabled if desired.
- This API is currently only supported with the Embedded Web Services API v2.0 and higher.
- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Enable ASUP and allow pro-active retrieval of bundles
      netapp_e_asup:
        state: enabled
        active: yes
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

    - name: Set the ASUP schedule to only send bundles from 12 AM CST to 3 AM CST.
      netapp_e_asup:
        start: 17
        end: 20
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
active boolean | on success | True if the active option has been enabled. Sample: True
asup boolean | on success | True if ASUP is enabled. Sample: True
cfg complex | on success when verbose=true. | Provide the full ASUP configuration.
| asupEnabled boolean |  | True if ASUP has been enabled.
| daysOfWeek list |  | The days of the week that ASUP bundles will be sent.
| onDemandEnabled boolean |  | True if ASUP active monitoring has been enabled.
msg string | on success | Success message Sample: The settings have been updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Price (@lmprice)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.